// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.XmlEditor.Gui {
    
    
    public partial class XmlSchemasPanelWidget {
        
        private Gtk.VBox vbox1;
        
        private Gtk.Label label1;
        
        private Gtk.HBox hbox1;
        
        private Gtk.ScrolledWindow GtkScrolledWindow;
        
        private Gtk.TreeView registeredSchemasView;
        
        private Gtk.VBox vbox2;
        
        private Gtk.Button registeredSchemasAddButton;
        
        private Gtk.Button registeredSchemasRemoveButton;
        
        private Gtk.Label label3;
        
        private Gtk.Label label2;
        
        private Gtk.HBox hbox2;
        
        private Gtk.ScrolledWindow GtkScrolledWindow1;
        
        private Gtk.TreeView defaultAssociationsView;
        
        private Gtk.VBox vbox3;
        
        private Gtk.Button defaultAssociationsAddButton;
        
        private Gtk.Button defaultAssociationsRemoveButton;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget";
            // Container child MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.Xalign = 0F;
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("<b>Registered Schemas</b>");
            this.label1.UseMarkup = true;
            this.vbox1.Add(this.label1);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox1[this.label1]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
            this.registeredSchemasView = new Gtk.TreeView();
            this.registeredSchemasView.CanFocus = true;
            this.registeredSchemasView.Name = "registeredSchemasView";
            this.GtkScrolledWindow.Add(this.registeredSchemasView);
            this.hbox1.Add(this.GtkScrolledWindow);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.GtkScrolledWindow]));
            w3.Position = 0;
            // Container child hbox1.Gtk.Box+BoxChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.registeredSchemasAddButton = new Gtk.Button();
            this.registeredSchemasAddButton.CanFocus = true;
            this.registeredSchemasAddButton.Name = "registeredSchemasAddButton";
            this.registeredSchemasAddButton.UseStock = true;
            this.registeredSchemasAddButton.UseUnderline = true;
            this.registeredSchemasAddButton.Label = "gtk-add";
            this.vbox2.Add(this.registeredSchemasAddButton);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.registeredSchemasAddButton]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.registeredSchemasRemoveButton = new Gtk.Button();
            this.registeredSchemasRemoveButton.CanFocus = true;
            this.registeredSchemasRemoveButton.Name = "registeredSchemasRemoveButton";
            this.registeredSchemasRemoveButton.UseStock = true;
            this.registeredSchemasRemoveButton.UseUnderline = true;
            this.registeredSchemasRemoveButton.Label = "gtk-remove";
            this.vbox2.Add(this.registeredSchemasRemoveButton);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox2[this.registeredSchemasRemoveButton]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            this.hbox1.Add(this.vbox2);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox1[this.vbox2]));
            w6.Position = 1;
            w6.Expand = false;
            w6.Fill = false;
            this.vbox1.Add(this.hbox1);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.vbox1[this.hbox1]));
            w7.Position = 1;
            // Container child vbox1.Gtk.Box+BoxChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.vbox1.Add(this.label3);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.vbox1[this.label3]));
            w8.Position = 2;
            w8.Expand = false;
            w8.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.Xalign = 0F;
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("<b>Default File Associations</b>");
            this.label2.UseMarkup = true;
            this.vbox1.Add(this.label2);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox1[this.label2]));
            w9.Position = 3;
            w9.Expand = false;
            w9.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.GtkScrolledWindow1 = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow1.Name = "GtkScrolledWindow1";
            this.GtkScrolledWindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow1.Gtk.Container+ContainerChild
            this.defaultAssociationsView = new Gtk.TreeView();
            this.defaultAssociationsView.CanFocus = true;
            this.defaultAssociationsView.Name = "defaultAssociationsView";
            this.GtkScrolledWindow1.Add(this.defaultAssociationsView);
            this.hbox2.Add(this.GtkScrolledWindow1);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox2[this.GtkScrolledWindow1]));
            w11.Position = 0;
            // Container child hbox2.Gtk.Box+BoxChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.defaultAssociationsAddButton = new Gtk.Button();
            this.defaultAssociationsAddButton.CanFocus = true;
            this.defaultAssociationsAddButton.Name = "defaultAssociationsAddButton";
            this.defaultAssociationsAddButton.UseStock = true;
            this.defaultAssociationsAddButton.UseUnderline = true;
            this.defaultAssociationsAddButton.Label = "gtk-add";
            this.vbox3.Add(this.defaultAssociationsAddButton);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox3[this.defaultAssociationsAddButton]));
            w12.Position = 0;
            w12.Expand = false;
            w12.Fill = false;
            // Container child vbox3.Gtk.Box+BoxChild
            this.defaultAssociationsRemoveButton = new Gtk.Button();
            this.defaultAssociationsRemoveButton.CanFocus = true;
            this.defaultAssociationsRemoveButton.Name = "defaultAssociationsRemoveButton";
            this.defaultAssociationsRemoveButton.UseStock = true;
            this.defaultAssociationsRemoveButton.UseUnderline = true;
            this.defaultAssociationsRemoveButton.Label = "gtk-remove";
            this.vbox3.Add(this.defaultAssociationsRemoveButton);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox3[this.defaultAssociationsRemoveButton]));
            w13.Position = 1;
            w13.Expand = false;
            w13.Fill = false;
            this.hbox2.Add(this.vbox3);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox2[this.vbox3]));
            w14.Position = 1;
            w14.Expand = false;
            w14.Fill = false;
            this.vbox1.Add(this.hbox2);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox1[this.hbox2]));
            w15.Position = 4;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.registeredSchemasAddButton.Clicked += new System.EventHandler(this.addRegisteredSchema);
            this.registeredSchemasRemoveButton.Clicked += new System.EventHandler(this.removeRegisteredSchema);
            this.defaultAssociationsAddButton.Clicked += new System.EventHandler(this.addFileAssociation);
            this.defaultAssociationsRemoveButton.Clicked += new System.EventHandler(this.removeFileAssocation);
        }
    }
}
